headless lms

Switch notification categories outside any community on or off per channel

PATCH /api/member/settings/notifications. Switch notification categories outside any community on or off per channel. Headless LMS Notifications API reference.

PATCH
/api/member/settings/notifications

For anyone signed in to the organization. Works like the community settings, against the organization's categories; enabled: null removes your choice. 422 when a category does not exist, does not offer the channel, the channel is locked, or spaceId is given.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/member/settings/notifications" \  -H "Content-Type: application/json" \  -d '{    "settings": [      {        "category": "string",        "channel": "string",        "enabled": true      }    ]  }'
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}